Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class SystemConfigurationManagerImpl

    java.lang.Object
      oracle.ifs.fdk.impl.SystemConfigurationManagerImpl

All Implemented Interfaces:
  java.rmi.Remote, SystemConfigurationManager

Direct Known Subclasses:
  CoreSystemConfigurationManager

    public abstract class SystemConfigurationManagerImpl

extends java.lang.Object
implements SystemConfigurationManager

The SystemConfigurationManager implementation.

Constructor Summary
`SystemConfigurationManagerImpl()` Constructor required for web services.
`SystemConfigurationManagerImpl(FdkSession session)` Constructor required for in-process clients.

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`NamedValue[]` | `getSystemConfigurationProperties(java.lang.String[] properties)` Returns the values for the requested system configuration properties.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemConfigurationManagerImpl

    public SystemConfigurationManagerImpl()

  Constructor required for web services.

### SystemConfigurationManagerImpl

    public SystemConfigurationManagerImpl(FdkSession session)

  Constructor required for in-process clients.

Method Detail

### getSystemConfigurationProperties

    public NamedValue[] getSystemConfigurationProperties(java.lang.String[] properties)
                                                  throws FdkException

  Description copied from interface: `SystemConfigurationManager`
  Returns the values for the requested system configuration properties. The constant names are defined in `SystemConfigurationProperties` .

  Specified by:
    `getSystemConfigurationProperties` in interface `SystemConfigurationManager`
  Parameters:
    `properties` - The names of the properties to be returned.
  Returns:
    An array of the same length as the requested properties.
  Throws:
    `FdkException`

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD